;**********************************************************************
;   ASM Source Created Using BASM 6.5(c) 1998  by Kevin Diggins 
;**********************************************************************
;      File Name: TEXT.ASM
;  Creation Date: 12-05-2001
;  Creation Time: 14:52:28
;**********************************************************************

.286p

MaxString Equ 81 

Code Segment Byte Public
Code Ends

Data Segment Word Public
Data Ends

Stak Segment Word Stack
DW  256 DUP (?)
Stak Ends

Dummy Segment Para Public
Dummy Ends


Code Segment
Assume CS:Code,DS:Data,ES:Nothing,SS:Stak

;**********************************************************************
;                         Free Unused Memory
;**********************************************************************

Mov  BX,Seg Data
Mov  DS,BX               ;Set data segment
Mov  BX,Seg Dummy        ;End of pgm
Mov  AX,CS               ;Start of pgm
Sub  BX,AX               ;Calc pgm size
Add  BX,16               ;Paragraphs in Stack + 1
Mov  AH,4AH              ;Shrink mem
Int  21h                 ;Thru Dos
Push DS
Pop  AX                  
Mov  ES,AX               ;Set ES to DS
Mov  DefSeg,AX           ;DefSeg defaults to DS
Mov  $DataSeg,AX         ;Set $DataSeg to DS
;**********************************************************************
Call GetCursor
;**********************************************************************
;                        Translation begins
;**********************************************************************
;screen 0 
;**********************************************************************
     Push 3
     Call Screen
     
ExitToDos:
     
     Mov  AH,4Ch
     Xor  AL,AL
     Int  21h
     
     
;************** User Defined SUBS & FUNCTIONS ***************
     
;*************  BASM Library Code Begins Here  **************
     
     
     GetCursor Proc Near
     Mov  AH,3
     Xor  BH,BH
     Int  10h
     Xor  AX,AX
     Mov  AL,DL
     Inc  AL
     Mov  $Xcur,AX
     Mov  AL,DH
     Inc  AL
     Mov  $Ycur,AX
     Ret
     GetCursor Endp
     
     
     
     
     Screen Proc Near
     Push BP
     Mov  BP,SP
     Mov  AL,[BP+4]
     Xor  AH,AH
     Int  10h
     Mov  AX,1
     Mov  $Xcur,AX
     Mov  $Ycur,AX
     Pop  BP
     Ret  02
     Screen Endp
     
     
Code Ends


Data Segment

;***************** System Initialized Data *****************

$Xcur        DW 1
$Ycur        DW 1
$Attr        DW 7
$CrLf        DB 13,10,'$'
$CrLf2       DB 13,10,0
FgColor      DW 7
BgColor      DW 0
Err          DW 0
DefSeg       DW 0
$DataSeg     DW 0
$Empty       DB 0,0
$Var0        DW 0
$Var1        DW 0
$Var2        DW 0
$Var3        DW 0

;***************** Users Initialized Data *******************


;*************** System Un-Initialized Data *****************


;**************** Users Un-Initialized Data *****************

;************************************************************
Data Ends

End
